Subject: RE: bug#20385: [PROPOSED PATCH] Support quoting 'like this' in doc strings

From: Drew Adams <[email-masked]>
Date: Thu, 23 Apr 2015 13:07:14 -0700 (PDT)

> Info files in the Emacs distribution already use curved single
> quotes.

I sure hope not.  That's not the case in the Windows binary builds
I was able to download.  But there is no Windows build for the latest
release.  That will certainly be a step backward, if what you say
is true.

> >     users should have the same experience wrt such
> >     code quoting for Info, doc strings, and Emacs-Lisp (doc
> >     strings and comments).
> 
> Yes, that's the longer term proposal for Emacs's files, using curved
> single quotes.

You mean that it is one of your longer-term proposals, I assume.
AFAIK, there is no such longer-term plan published by GNU for
Emacs's files.

Whatever is planned by GNU, I hope it allows users to at least
choose the reliable, conventional system we've enjoyed for 40 years.  
 
> The current patch is one step in that direction.
> Under this approach, users who prefer to quote `like this' will
> still be able to do that in their own doc strings and manuals.

1. You didn't answer my question about libraries being able to
choose (possibly overridden by a user).

2. This sop is not at all sufficient: "able to do that in their
*own* doc strings and manuals".  Might as well say that you will
allow folks to do what they like in their own fork of Emacs.

3. You have still given *no* argument in favor of anything you've
proposed here.  We've seen only the pseudo-argument that you find
the Emacs way "ugly".

IMHO, this self-styled beautification proposal should be
considered a non-starter.